<?php

namespace BackOfficeOptimizer\Providers;

use BackOfficeOptimizer\Libraries\ConnectionFactory;
use \Zeedhi\Framework\DependencyInjection\InstanceManager as InstanceManager;

class ConnectionProvider {
    public static function create() {
        $connection_params = InstanceManager::getInstance()->getParameter('connection_params');
        return ConnectionFactory::updateConnectionParams($connection_params);
    }
}