<?php

namespace BackOfficeOptimizer\Services;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;

class PythonIntegration
{
    public function __construct()
    {
        $this->prodDir = dirname(__FILE__) . '/../geradorPlanilhas/export/';
        $this->dir = dirname(__FILE__) . '/../../geradorPlanilhas/export/';
    }

    public function getReceitasAtivasExcell(Request $request, Response $response)
    {
        //$myfiles = array_diff(scandir($mydir), array('.', '..'));
        header('Access-Control-Allow-Origin: *');
        header('Access-Control-Allow-Methods: GET, POST');
        header("Access-Control-Allow-Headers: X-Requested-With");

        $filepath = $this->prodDir. 'base_receitas_ativas_teknisa.xlsx';
        if(!file_exists($filepath)){
            $filepath = $this->dir. 'base_receitas_ativas_teknisa.xlsx';
        }

        try {
            
            header('Content-Description: File Transfer');
            header('Content-Type: application/octet-stream');
            header('Content-Disposition: attachment; filename="' . basename($filepath) . '"');
            header('Expires: 0');
            header('Cache-Control: must-revalidate');
            header('Pragma: public');
            header('Content-Length: ' . filesize($filepath));
            flush(); // Flush system output buffer
            readfile($filepath);

        } catch (\Exception $th) {
            var_dump($th);
        }
        die;
    }
}